Subject: bug#52946: closed (Re: [bug#52946] [PATCH 0/2] Update Audacity to 3.1.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jan 2022 20:17:02 +0000

Your bug report

#52946: [PATCH 0/2] Update Audacity to 3.1.3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52946: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52946
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52946] [PATCH 0/2] Update Audacity to 3.1.3.
From: Liliana Marie Prikler <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Jan 2022 21:16:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Dienstag, dem 04.01.2022 um 16:04 -0500 schrieb Leo Famulari:
> On Tue, Jan 04, 2022 at 09:43:37PM +0100, Liliana Marie Prikler
> wrote:
> > I'd like to avoid it if possible.  Audacity uses it to determine
> > whether a particular file system is FAT so as to determine its
> > limitations -- I'm sure there are better ways of doing that.
> 
> I agree that it would be nice to avoid it. On the other hand, if
> that's how Audacity made their program work, we should accept it
> unless it causes serious problems. I don't think that feature
> development of packaged programs should happen in the distro.
> 
> I don't know what problems it could cause, just that it's unusual. A
> few packages do refer directly to "kernel-headers" from the build
> environment.
Since it is just one header which is unlikely to change between kernel
versions, I now pushed this as-is.  Thanks

Subject: [PATCH 0/2] Update Audacity to 3.1.3.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Sun, 2 Jan 2022 10:42:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This series updates wxwidgets-3.1 and thereafter audacity.  Both packages
come with a series of adjustments to things changed in the build system
in newer versions.

Particularly concerning is that audacity relies on linux-internal headers
in order to do file magic.  Would it be feasible to patch their code so
that it works in terms of the file package?

Cheers

Liliana Marie Prikler (2):
  gnu: wxwidgets-3.1: Update to 3.1.5.
  gnu: audacity: Update to 3.1.3

 gnu/local.mk                                  |  2 -
 gnu/packages/audio.scm                        | 66 ++++++++++++-------
 .../patches/audacity-add-include.patch        | 15 -----
 ...audacity-build-with-system-portaudio.patch | 62 -----------------
 gnu/packages/wxwidgets.scm                    | 29 ++++++--
 5 files changed, 66 insertions(+), 108 deletions(-)
 delete mode 100644 gnu/packages/patches/audacity-add-include.patch
 delete mode 100644 gnu/packages/patches/audacity-build-with-system-portaudio.patch

-- 
2.34.0